%define name alexandria
%define version 0.6.0
%define release %mkrel 6

Summary: GNOME application to help you manage your book collection
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://alexandria.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/746/%{name}-%{version}.tar.bz2
#Source1: %{name}-16.png.bz2
#Source2: %{name}-32.png.bz2
#Source3: %{name}-48.png.bz2
License: GPL
Group: Databases
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8 ruby-amazon >= 0.8.3 ruby-gettext >= 0.6.1
Requires: ruby-libglade2 ruby-gconf2 ruby-gnome2 >= 0.12.0 ruby-zoom
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRequires: ruby-devel gettext GConf2
BuildArch: noarch

%description
Alexandria is a GNOME application to help you manage your book collection.

Alexandria:
  * retrieves and displays book information (including cover pictures)
    from several online libraries, such as Amazon, Proxis, Barnes and
    Noble, and the Spanish Ministry of Culture ;
  * allows books to be added and updated by hand ;
  * enables searches either by EAN/ISBN, title, authors or keyword ;
  * saves data using the YAML format ;
  * can import and export data into ONIX, Tellico and EAN/ISBN-list
    formats ;
  * generates from your libraries XHTML web pages themable with CSS ;
  * allows marking your books as loaned, each with the loan-date and the
    name of the person who has borrowed them ;
  * features a HIG-compliant user interface ;
  * shows books in different views (standard list or icons list), that
    can be either filtered or sorted ;
  * handles book rating and notes ;
  * supports CueCat (R) barcode readers ;
  * includes translations for several languages.
%prep
%setup -q

# Don't run scrollkeeper-update in install
rm -f data/omf/alexandria/post-install.rb

%build
ruby install.rb config
ruby install.rb setup

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ruby install.rb install --prefix=%buildroot

mkdir -p %buildroot%{_sysconfdir}/gconf/schemas/
cp -a schemas/alexandria.schemas %buildroot%{_sysconfdir}/gconf/schemas/

# No need to ship OSX interface
rm -rf %buildroot%{_libdir}/ruby/site_ruby/*/%{name}/macui

%find_lang %name --all-name 

#menu
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="More Applications/Databases" \
        title="Alexandria" \
        longtitle="GNOME library manager" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png"
EOF
install -m 755 -d %buildroot%{_datadir}/applications/
cp -a %{name}.desktop %buildroot%{_datadir}/applications/

# icon
install -m 755 -d %buildroot{%{_miconsdir},%{_liconsdir}}
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_miconsdir/%{name}.png
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_iconsdir/%{name}.png
cp -a data/alexandria/icons/alexandria_small.png %buildroot%_liconsdir/%{name}.png

#bzcat %{SOURCE1} > %buildroot%_miconsdir/%{name}.png
#bzcat %{SOURCE2} > %buildroot%_iconsdir/%{name}.png
#bzcat %{SOURCE3} > %buildroot%_liconsdir/%{name}.png

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
pidof gconfd-2 >/dev/null && killall gconfd-2 || :

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/ruby/site_ruby/*/%{name}*
%{_datadir}/%{name}
%{_menudir}/%name
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%doc README AUTHORS ChangeLog HACKING TODO

%changelog
* Sun Sep 04 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-6mdk
- avoid error in post if gconfd is not already running (again)

* Sat Sep 03 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-5mdk
- Don't ship OSX interface

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-4mdk
- avoid error in post if gconfd is not already running
- mkrel

* Sun Aug 28 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-3mdk
- Requires ruby-zoom

* Thu Aug 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-2mdk
- Requires scrollkeeper, but don't run it at build time (#10809}
- Disable schemas installation

* Wed Aug 24 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdk
- 0.6.0, now with Help

* Sun Mar 27 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.1-2mdk
- Install .desktop

* Sun Mar 27 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sun Mar 13 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.0-1mdk
- 0.5.0

* Sun Nov  7 2004 Pascal Terjan <pterjan@mandrake.org> 0.4.0-2mdk
- Remove fix no longer needed
- Update description

* Sun Nov  7 2004 Pascal Terjan <pterjan@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Sun Jul 11 2004 Franck Villaume <fvill@freesurf.fr> 0.3.1-1mdk
- 0.3.1
- fix Buildrequires

* Sat Jul 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.3.0-1mdk
- 0.3.0
- Drop patch0 (merged upstream)

* Tue Jun 15 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-4mdk
- Fix encoding problems

* Mon Jun 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-3mdk
- Some more BuildRequires

* Mon Jun 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-2mdk
- Requires ruby-gnome2

* Sun Jun 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.2.0-1mdk
- first mdk release
